import React from "react";
import { ButtonProps } from "./props";
/**
 * In UI Button Component
 * @see {@link https://todo.com/} for official documentation.
 * @param kind
 * Default: 'decorated' |
 * Specifies design style button.
 * @param color
 * Default: 'primary' |
 * Specifies button color.
 * @param size
 * Default: 'normal' |
 * Specifies the button size.
 * @param block
 * Default: false |
 * Makes the button use all available horizontal space.
 * @param disabled
 * Default: false |
 * This prop sets the disable html attr as true.
 * @param loading
 * Default: false |
 * Specifies if the button has initiated an action and must wait for it (this prop automatically sets the disable html attribute as true).
 * @param renderElement
 * Default: 'button' |
 * This is the html element to render, it could be 'a', 'button' or any react component that you need, ex: react router link.
 * @param type
 * Default: 'button' |
 * This is the 'type' html attr.
 * @param className
 * Default: null |
 * You can use this prop to send a string with your custom css classes.
 * @param children |
 * The classic React children prop.
 * @param icon
 * Default: null |
 * Send the inUI icon component without any prop, this button will manage it.
 * @param onlyIcon
 * Default: false |
 * Specifies if the button will only show the icon and not the children react prop, the icon prop must be already set for this action.
 * @param iconPosition
 * Default: 'left' |
 * Specifies the icon position in the button, it could be 'right' or 'left'.
 * @param iconTitle
 * Default: 'Icon' |
 * Specifies the icon title in the button.
 * @param target
 * Default: null |
 * Specifies target fot <a> renderElement.
 * @param href
 * Default: null |
 * Specifies href fot <a> renderElement.
 * @param to
 * Default: null |
 * Specifies the to attr for link component ex: react router link.
 * @interface ButtonProps
 * This is the custom interface created for this component logic.
 * @interface ButtonHTMLAttributes
 * This interface is inherited from @types/react more info here: https://github.com/DefinitelyTyped/DefinitelyTyped/blob/1349b640d4d07f40aa7c1c6931f18e3fbf667f3a/types/react/index.d.ts#L1957
 * @returns
 * A inUI button react component
 */
export declare const Button: React.FC<ButtonProps>;
//# sourceMappingURL=index.d.ts.map