import React from "react";
import { IconProps } from "./props";
/**
 * In UI Icon Component
 * @see {@link https://todo.com/} for official documentation.
 * @param name
 * Required |
 * Specifies the icon.
 * @param color
 * Default: 'currentColor' |
 * Specifies the icon style color with a string.
 * @param size
 *  Default: 'normal' |
 * Specifies the icon size between small, normal and big.
 * @param specificSize
 *  Default: null |
 * Specifies the icon size a string Ex: 200px || 10% || 5rem || 2em.
 * @param solid
 * Default: false |
 * Specifies if the icon will be solid or outline.
 * @param hoverTransition
 * Default: false |
 * Specifies if the icon will be a hover effect.
 * @param className
 * Default: null |
 * You can use this prop to send a string with your custom css classes.
 * @returns
 * A inUI Icon react component
 */
export declare const Icon: React.FC<IconProps>;
//# sourceMappingURL=index.d.ts.map