import { HTMLAttributes } from "react";
import { AboveColor, Color, Size } from "../utils/types";
export interface IconProps extends HTMLAttributes<HTMLOrSVGElement> {
    /**
     * Required |
     * Specifies the icon.
     */
    name: "academic-cap" | "adjustments" | "annotation" | "archive" | "arrow-circle-down" | "arrow-circle-left" | "arrow-circle-right" | "arrow-circle-up" | "arrow-down" | "arrow-left" | "arrow-narrow-down" | "arrow-narrow-left" | "arrow-narrow-right" | "arrow-narrow-up" | "arrow-right" | "arrow-sm-down" | "arrow-sm-left" | "arrow-sm-right" | "arrow-sm-up" | "arrow-up" | "arrows-expand" | "at-symbol" | "backspace" | "badge-check" | "ban" | "beaker" | "bell" | "book-open" | "bookmark-alt" | "bookmark" | "briefcase" | "cake" | "calculator" | "calendar" | "camera" | "cash" | "chart-bar" | "chart-pie" | "chart-square-bar" | "chat-alt-2" | "chat-alt" | "chat" | "check-circle" | "check" | "chevron-double-down" | "chevron-double-left" | "chevron-double-right" | "chevron-double-up" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chip" | "clipboard-check" | "clipboard-copy" | "clipboard-list" | "clipboard" | "clock" | "cloud-download" | "cloud-upload" | "cloud" | "code" | "cog" | "collection" | "color-swatch" | "credit-card" | "cube-transparent" | "cube" | "currency-bangladeshi" | "currency-dollar" | "currency-euro" | "currency-pound" | "currency-rupee" | "currency-yen" | "cursor-click" | "database" | "desktop-computer" | "device-mobile" | "device-tablet" | "document-add" | "document-download" | "document-duplicate" | "document-remove" | "document-report" | "document-search" | "document-text" | "document" | "dots-circle-horizontal" | "dots-horizontal" | "dots-vertical" | "download" | "duplicate" | "emoji-happy" | "emoji-sad" | "exclamation-circle" | "exclamation" | "external-link" | "eye-off" | "eye" | "fast-forward" | "film" | "filter" | "finger-print" | "fire" | "flag" | "folder-add" | "folder-download" | "folder-open" | "folder-remove" | "folder" | "gift" | "globe-alt" | "globe" | "hand" | "hashtag" | "heart" | "home" | "identification" | "inbox-in" | "inbox" | "information-circle" | "key" | "library" | "light-bulb" | "lightning-bolt" | "link" | "location-marker" | "lock-closed" | "lock-open" | "login" | "logout" | "mail-open" | "mail" | "map" | "menu-alt-1" | "menu-alt-2" | "menu-alt-3" | "menu-alt-4" | "menu" | "microphone" | "minus-circle" | "minus-sm" | "minus" | "moon" | "music-note" | "newspaper" | "office-building" | "paper-airplane" | "paper-clip" | "pause" | "pencil-alt" | "pencil" | "phone-incoming" | "phone-missed-call" | "phone-outgoing" | "phone" | "photograph" | "play" | "plus-circle" | "plus-sm" | "plus" | "presentation-chart-bar" | "presentation-chart-line" | "printer" | "puzzle" | "qrcode" | "question-mark-circle" | "receipt-refund" | "receipt-tax" | "refresh" | "reply" | "rewind" | "rss" | "save-as" | "save" | "scale" | "scissors" | "search-circle" | "search" | "selector" | "server" | "share" | "shield-check" | "shield-exclamation" | "shopping-bag" | "shopping-cart" | "sort-ascending" | "sort-descending" | "sparkles" | "speakerphone" | "star" | "status-offline" | "status-online" | "stop" | "sun" | "support" | "switch-horizontal" | "switch-vertical" | "table" | "tag" | "template" | "terminal" | "thumb-down" | "thumb-up" | "ticket" | "translate" | "trash" | "trending-down" | "trending-up" | "truck" | "upload" | "user-add" | "user-circle" | "user-group" | "user-remove" | "user" | "users" | "variable" | "video-camera" | "view-boards" | "view-grid-add" | "view-grid" | "view-list" | "volume-off" | "volume-up" | "wifi" | "x-circle" | "x" | "zoom-in" | "zoom-out";
    /**
     * Default: 'currentColor' |
     * Specifies the icon style color with a string.
     */
    color?: Color | AboveColor;
    /**
     * Default: 'normal' |
     * Specifies the icon size between small, normal and big.
     */
    size?: Size;
    /**
     * Default: null |
     * Specifies the icon size a string Ex: 200px || 10% || 5rem || 2em.
     */
    specificSize?: string;
    /**
     * Default: false |
     * Specifies if the icon will be solid or outline.
     */
    solid?: boolean;
    /**
     * Default: false |
     * Specifies if the icon will be a hover effect.
     */
    hoverTransition?: boolean;
}
//# sourceMappingURL=props.d.ts.map