/**
 * In UI theme mode type, could be "light" or "dark"
 */
export declare type Theme = "light" | "dark";
/**
 * In UI Theme hook
 * @see {@link https://todo.com/} for official documentation.
 * @returns {Object} Object with theme state, toggleTheme and changeThemeTo functions
 */
declare const useTheme: () => {
    /**
     * Theme state, must be "light" or "dark" after first render before that always will be null.
     * @see {@link https://todo.com/} for official documentation.
     */
    theme: Theme | null;
    /**
     * Change theme to opposite value if theme state is "light" will be "dark" and if theme state is "dark" will be "light"
     * @see {@link https://todo.com/} for official documentation.
     */
    toggleTheme: () => void;
    /**
     * Change theme to specific value Could be "light" or "dark")
     * @see {@link https://todo.com/} for official documentation.
     */
    changeThemeTo: (theme: Theme) => void;
};
export default useTheme;
//# sourceMappingURL=useTheme.d.ts.map